# Functor BatNumber.MakeInfix

    module MakeInfix: functor (Base : NUMERIC_BASE) -> Infix  with type bat__infix_t = Base.t

Parameters: |
`Base` | : | `NUMERIC_BASE`

    type bat__infix_t

    val (+) : bat__infix_t ->
           bat__infix_t -> bat__infix_t

    val (-) : bat__infix_t ->
           bat__infix_t -> bat__infix_t

    val ( * ) : bat__infix_t ->
           bat__infix_t -> bat__infix_t

    val (/) : bat__infix_t ->
           bat__infix_t -> bat__infix_t

    val ( ** ) : bat__infix_t ->
           bat__infix_t -> bat__infix_t

    val (--) : bat__infix_t ->
           bat__infix_t -> bat__infix_t BatEnum.t

    val (---) : bat__infix_t ->
           bat__infix_t -> bat__infix_t BatEnum.t